com.franz.jlinker

## Enum JLWrapper.TypeCode

- java.lang.Object
- - java.lang.Enum<JLWrapper.TypeCode>
  - - com.franz.jlinker.JLWrapper.TypeCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JLWrapper.TypeCode>
  Enclosing class:
    JLWrapper

      public static enum JLWrapper.TypeCode
      extends java.lang.Enum<JLWrapper.TypeCode>

  Constants that describe the type of objects passed between Lisp and Java.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOL` Type constant denoting a boolean value.
    `BYTE` Type constant denoting a byte value.
    `BYTE_ARRAY` Type constant denoting a byte array (`byte[]`) value.
    `CHAR` Type constant denoting a character value.
    `DOUBLE` Type constant denoting a double precision floating point value.
    `DOUBLE_ARRAY` Type constant denoting a double precision floating point array (`double[]`) value.
    `ERROR` Type constant denoting a Lisp Error reference.
    `FLOAT` Type constant denoting a single precision floating point value.
    `FLOAT_ARRAY` Type constant denoting a single precision floating point array (`float[]`) value.
    `INT` Type constant denoting an integer value.
    `INT_ARRAY` Type constant denoting an integer array (`int[]`) value.
    `JAVA_POINTER` Type constant denoting a Java Object reference.
    `LISP_POINTER` Type constant denoting a Lisp pointer reference.
    `LONG` Type constant denoting a long integer value.
    `MISSING` Type constant denoting a missing LispCall component.
    `NULL` Type constant denoting a null value.
    `SEEN` Type constant denoting a result that has already been examined.
    `SHORT` Type constant denoting a short integer value.
    `SHORT_ARRAY` Type constant denoting a short array (`short[]`) value.
    `STRING` Type constant denoting a string value.
    `STRING_ARRAY` Type constant denoting a string array (`String[]`) value.
    `SYMBOL` Type constant denoting a Lisp symbol reference.
    `UNKNOWN` Type constant denoting an unknown data type.
    `WRAPPER` Type constant denoting a JLWrapper instance.
    `WRONG_STATE` Type constant denoting a incorrect LispCall state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JLWrapper.TypeCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JLWrapper.TypeCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEEN

          public static final JLWrapper.TypeCode SEEN

      Type constant denoting a result that has already been examined. Results are tagged with this type code if the retention stratategy is to discard results once examined.

    - #### UNKNOWN

          public static final JLWrapper.TypeCode UNKNOWN

      Type constant denoting an unknown data type. An occurrence of this constant usually indicates a system error.

    - #### NULL

          public static final JLWrapper.TypeCode NULL

      Type constant denoting a null value.

    - #### BOOL

          public static final JLWrapper.TypeCode BOOL

      Type constant denoting a boolean value.

    - #### CHAR

          public static final JLWrapper.TypeCode CHAR

      Type constant denoting a character value.

    - #### BYTE

          public static final JLWrapper.TypeCode BYTE

      Type constant denoting a byte value.

    - #### SHORT

          public static final JLWrapper.TypeCode SHORT

      Type constant denoting a short integer value.

    - #### INT

          public static final JLWrapper.TypeCode INT

      Type constant denoting an integer value.

    - #### LONG

          public static final JLWrapper.TypeCode LONG

      Type constant denoting a long integer value.

    - #### FLOAT

          public static final JLWrapper.TypeCode FLOAT

      Type constant denoting a single precision floating point value.

    - #### DOUBLE

          public static final JLWrapper.TypeCode DOUBLE

      Type constant denoting a double precision floating point value.

    - #### STRING

          public static final JLWrapper.TypeCode STRING

      Type constant denoting a string value.

    - #### BYTE_ARRAY

          public static final JLWrapper.TypeCode BYTE_ARRAY

      Type constant denoting a byte array (`byte[]`) value.

    - #### SHORT_ARRAY

          public static final JLWrapper.TypeCode SHORT_ARRAY

      Type constant denoting a short array (`short[]`) value.

    - #### INT_ARRAY

          public static final JLWrapper.TypeCode INT_ARRAY

      Type constant denoting an integer array (`int[]`) value.

    - #### FLOAT_ARRAY

          public static final JLWrapper.TypeCode FLOAT_ARRAY

      Type constant denoting a single precision floating point array (`float[]`) value.

    - #### DOUBLE_ARRAY

          public static final JLWrapper.TypeCode DOUBLE_ARRAY

      Type constant denoting a double precision floating point array (`double[]`) value.

    - #### STRING_ARRAY

          public static final JLWrapper.TypeCode STRING_ARRAY

      Type constant denoting a string array (`String[]`) value.

    - #### LISP_POINTER

          public static final JLWrapper.TypeCode LISP_POINTER

      Type constant denoting a Lisp pointer reference.

    - #### ERROR

          public static final JLWrapper.TypeCode ERROR

      Type constant denoting a Lisp Error reference.

    - #### SYMBOL

          public static final JLWrapper.TypeCode SYMBOL

      Type constant denoting a Lisp symbol reference.

    - #### JAVA_POINTER

          public static final JLWrapper.TypeCode JAVA_POINTER

      Type constant denoting a Java Object reference.

    - #### WRONG_STATE

          public static final JLWrapper.TypeCode WRONG_STATE

      Type constant denoting a incorrect LispCall state.

    - #### MISSING

          public static final JLWrapper.TypeCode MISSING

      Type constant denoting a missing LispCall component.

    - #### WRAPPER

          public static final JLWrapper.TypeCode WRAPPER

      Type constant denoting a JLWrapper instance. It is necessary to extract the true type code from the instance.

  - ### Method Detail

    - #### values

          public static JLWrapper.TypeCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JLWrapper.TypeCode c : JLWrapper.TypeCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JLWrapper.TypeCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null